Package: groovy.swing.factory

## [Groovy] Class DialogFactory

- groovy.swing.factory.DialogFactory

-     class DialogFactory
      extends RootPaneContainerFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class RootPaneContainerFactory` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON, DELEGATE_PROPERTY_DEFAULT_BUTTON`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DialogFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RootPaneContainerFactory` | `handleRootPaneTasks, onNodeCompleted, setChild`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### DialogFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)